Bug 20347 - [945GM UXA] ut2004-demo freezes X with tiling on
Summary: [945GM UXA] ut2004-demo freezes X with tiling on
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other All
: medium major
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords: NEEDINFO
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2009-02-26 23:58 UTC by zhao jian
Modified: 2009-06-04 00:57 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (62.37 KB, text/plain)
2009-02-26 23:58 UTC, zhao jian
Details
xorg.0.log (62.37 KB, text/plain)
2009-02-26 23:59 UTC, zhao jian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2009-02-26 23:58:27 UTC
Created attachment 23356 [details]
xorg.conf

System Environment:
----------------------
Platform:               945gm
Arch:           i386
OSD:            Fedora release 9 (Sulphur)
Libdrm:         (master)948af0bd9b9eade489599d7ec160d42706331779
Mesa:            (mesa_7_4_branch)4480e631cdb1d749cc0d921897a5df237ccdf997
Xserver:         (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:     (master)a625a07022ea7f6757b288fcc2ffb9e27c7f8341
Kernel:           (for-airlied)66647dc60d16fae9f6963fd98b6d9baa1a8dac69

Bug Description:
---------------------
In UXA mode, with tiling on ut2004-demo will hang at somewhere but you can still hear its sound is playing and finally got a score of 20 points. With tiling off, it will not hang but has a very bad performance scored only 3 or 4 points.    


Reproduce Steps:
---------------------
1. xinit&
2. run ut2004
Comment 1 zhao jian 2009-02-26 23:59:15 UTC
Created attachment 23357 [details]
xorg.0.log
Comment 2 zhao jian 2009-03-19 02:18:18 UTC
In UXA with tiling on, it still freezes X until the demo run over. With the following configuration: 
Libdrm:         (master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa_stable:     (mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9
Xserver:      (server-1.6-branch) 60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:  (2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf
Kernel:        (for-airlied)dc529a4fe1ae4667c819437a94185e8581e1e680
Comment 3 Gordon Jin 2009-03-28 06:42:26 UTC
Does this happen with KMS?
Comment 4 Gordon Jin 2009-06-03 16:36:47 UTC
Jian, please answer.

And attach gpu-dump.
Comment 5 zhao jian 2009-06-04 00:56:57 UTC
Now with the newest code, it works well both in KMS and UMS.  Its configuration is : 
Libdrm:         (master)00fae87f96e1fc5198311feec81866bf9c53d0e1
Mesa:           (mesa_7_5_branch)fc7f92478286041a018ac4e72d2ccedeea7c0eca
Xserver:        (server-1.6-branch)5cd5a01259ba349f1868ca4af04207cf120d69e4
Xf86_video_intel:    (master)ea0b00e675281b2914450992501566122f9affe0
Kernel:         (for-linus)07f4f3e8a24138ca2f3650723d670df25687cd05
Comment 6 zhao jian 2009-06-04 00:57:38 UTC
verified. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.